Subject: Re: bug#26010: Indenting in tabulars and \&
From: Arash Esbati <[email-masked]>
To: Mosè Giordano <[email-masked]>
Cc: [email-masked]
Date: Wed, 08 Mar 2017 11:45:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Mosè Giordano <[email-masked]> writes:

> 2017-03-07 14:24 GMT+01:00 Arash Esbati <[email-masked]>:
>> AUCTeX doesn't see the control symbol \&, it just takes the ampersand as
>> a column separator.  This issue is caused in the last part of the
>> function `LaTeX-indent-tabular':
>
> Good catch.  I like the solution proposed by Keita, with or without
> `TeX-escaped-p' (but I slightly prefer using these generic functions).
> If you're going to install the fix, please add a test as well.

Hi Mosè,

thanks for your response.  I've installed a patch incl. a test; I went
for Keita's suggestion without `TeX-escaped-p', commit 991b582.  I close
this one then.

Best, Arash